> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of saved tasks

> Returns a list of all saved tasks associated with the authenticated user. Each task includes its name, project, location, and instruction details.



## OpenAPI

````yaml GET /saved_tasks
openapi: 3.0.3
info:
  title: BrowserAI Task API
  version: 1.0.0
  description: API for creating and retrieving browser automation tasks and their results.
servers:
  - url: https://browser.ai/api/v1
security: []
paths:
  /saved_tasks:
    get:
      tags:
        - Saved Task
      summary: Get a list of saved tasks
      description: >-
        Returns a list of all saved tasks associated with the authenticated
        user. Each task includes its name, project, location, and instruction
        details.
      operationId: getSavedTaskList
      responses:
        '200':
          description: List of saved tasks
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    taskId:
                      type: string
                    name:
                      type: string
                    project:
                      type: string
                    geoLocation:
                      $ref: '#/components/schemas/GeoLocation'
                    type:
                      type: string
                    cron_settings:
                      type: string
                    instructions:
                      type: array
                      items:
                        type: object
                        properties:
                          action:
                            type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                error: Unauthorized
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                error: Internal server error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GeoLocation:
      type: object
      required:
        - country
      properties:
        country:
          type: string
          description: '2-letter country code, for example: es for Spain.'
        city:
          type: string
        zipcode:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Insert API token, use the format: `apikey <API-TOKEN>`.'

````